Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.capability.system
Class Memory

    java.lang.Object
      org.jini.rio.qos.capability.PlatformCapability
          org.jini.rio.qos.capability.system.ByteOrientedDevice
              org.jini.rio.qos.capability.system.Memory

All Implemented Interfaces:
  Serializable, Observer, ResourceCostProducer, PlatformCapabilityMBean

    public class Memory

extends ByteOrientedDevice
implements Observer

Describes the amount of memory available for the Java Virtual Machine as a qualitative resource.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.qos.capability.system.ByteOrientedDevice
`AVAILABLE, CAPACITY, GB, KB, MB, TB`

Fields inherited from class org.jini.rio.qos.capability.PlatformCapability
`capabilities, description, DESCRIPTION, downloadRecords, logger, MANUFACTURER, MODEL, NAME, NATIVE_LIBS, path, PROVISIONABLE, softwareLoad, STATIC, VENDOR, VERSION`

Constructor Summary
`Memory()` Create a Memory capability
`Memory(String description)` Create a Memory capability with a description

Method Summary
`void` | `update(Observable o, Object arg)` Notification from the DiskSpace MeasurableCapability

Methods inherited from class org.jini.rio.qos.capability.system.ByteOrientedDevice
`define, evaluate, supports`

Methods inherited from class org.jini.rio.qos.capability.PlatformCapability
`addSoftwareDownloadRecord, calculateResourceCost, clearAll, defineAll, equals, getCapabilities, getClassPath, getDescription, getName, getPath, getPlatformKeys, getSoftwareDownloadRecords, getSoftwareLoad, getType, getValue, hasBasicSupport, hashCode, loadResources, matches, remove, setClassPath, setDescription, setPath, setResourceCostModel, setSoftwareLoad, setType, supports, toString, versionSupported`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Memory

    public Memory()

  Create a Memory capability

### Memory

    public Memory(String description)

  Create a Memory capability with a description

  Parameters:
    `description` - The description

Method Detail

### update

    public void update(Observable o,
                       Object arg)

  Notification from the DiskSpace MeasurableCapability

  Specified by:
    `update` in interface `Observer`
  Parameters:
    `o` - The Observable object
    `arg` - The argument, a `CalculableMemory` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.